%define upstream_name    WWW-Form-UrlEncoded
%define upstream_version 0.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Pure-perl parser and builder for application/x-www-form-urlencoded
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(JSON::PP) >= 2.0.0
BuildRequires: perl(Module::Build) >= 0.400.500
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
WWW::Form::UrlEncoded provides application/x-www-form-urlencoded parser and
builder. This module aims to have compatibility with other CPAN modules
like HTTP::Body's urlencoded parser.

This module try to use the WWW::Form::UrlEncoded::XS manpage by default and
fail to it, use WWW::Form::UrlEncoded::PP instead

Parser rules
    WWW::Form::UrlEncoded parsed string in this rule.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} -i -p -e 's/0/1/g if /allow_pureperl/' Build.PL
%{__perl} -i -p -e 's/builder::MyBuilder/Module::Build/g' Build.PL
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Oct 25 2018 bcornec <bcornec> 0.250.0-1.mga6
+ Revision: 1325504
- import version from cauldron
- import perl-WWW-Form-UrlEncoded needed by perl-HTTP-Entity-Parser


* Fri Jul 28 2017 cpan2dist 0.24-1mga
- initial mageia release, generated with cpan2dist
